<?php
if (!defined('_PS_VERSION_'))
    exit;

class Skyneuron_minifyhtml extends Module
{

    public function __construct()
    {
        $this->name = 'skyneuron_minifyhtml';
        $this->tab = 'front_office_features';
        $this->version = '1.0.0';
        $this->author = 'Skyneuron';
        $this->ps_versions_compliancy = array('min' => '1.7.1', 'max' => _PS_VERSION_);
		$this->bootstrap = true;
		
		parent::__construct();
        
        $this->displayName = $this->l('Minify HTML');
        $this->description = $this->l('Цей модуль видаляє всі пробіли і розриви рядків, допомагаючи зменшити розмір html файлів.');
		$this->confirmUninstall = $this->l('Ви впевнені, що хочете видалити?');

    }
	
	public function install()
    {
		if (!parent::install() ||
            !$this->registerHook('ActionOutputHTMLBefore'))
            return false;
        return true;
    }
	
	public function uninstall()
    {
        if (!parent::uninstall() ||
            !$this->unregisterHook('ActionOutputHTMLBefore'))
            return false;

        return true;
    }
	
    public function hookActionOutputHTMLBefore($params)
    {
        $params['html'] = self::minifyHTML($params['html']);
        Skyneuron_minifyhtml::createCache($params['html']);
    }

   

    public static function createCache($html1)
    {
        
    }


    public static function minifyHTML($html_content)
    {
		include_once(_PS_MODULE_DIR_ . 'skyneuron_minifyhtml/minify_html.php');
		$html_content = str_replace(chr(194) . chr(160), '&nbsp;', $html_content);
		if (trim($minified_content = Minify_HTML::minify($html_content, array('cssMinifier', 'jsMinifier'))) != '') {
			$html_content = $minified_content;
		}
		
		return $html_content;
    }
}